%if 0%{?fedora} || 0%{?rhel} >= 8
%bcond_without python3
%endif

%global srcname j1m.sphinxautozconfig

Name:           python-%{srcname}
Version:        0.1.0
Release:        3%{?dist}
Summary:        Sphinx support for ZConfig

License:        MIT
URL:            https://pypi.python.org/pypi/j1m.sphinxautozconfig/
Source0:        %pypi_source
# Upstream does not provide the license text
Source1:        COPYING
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2dist(docutils)
BuildRequires:  python2dist(setuptools)

%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(setuptools)
%endif

%description
This sphinx extension provides a zconfigsectionkeys directive for
rendering documentation for ZConfig section key.

%package     -n python2-%{srcname}
Summary:        Sphinx support for ZConfig
Requires:       python2dist(docutils)

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This sphinx extension provides a zconfigsectionkeys directive for
rendering documentation for ZConfig section key.

%if %{with python3}
%package     -n python3-%{srcname}
Summary:        Sphinx support for ZConfig
Requires:       python3dist(docutils)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This sphinx extension provides a zconfigsectionkeys directive for
rendering documentation for ZConfig section key.
%endif

%prep
%autosetup -n %{srcname}-%{version}
cp -p %{SOURCE1} .

%build
%py2_build

%if %{with python3}
%py3_build
%endif

%install
%py2_install

%if %{with python3}
%py3_install
%endif

# Once upstream adds meaningful tests, uncomment the following.
#%%check
#%%{__python2} setup.py test
#
#%%if %%{with python3}
#%%{__python3} setup.py test
#%%endif

%files -n python2-%{srcname}
%doc README.rst
%license COPYING
%{python2_sitelib}/j1m/
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}-nspkg.pth

%if %{with python3}
%files -n python3-%{srcname}
%doc README.rst
%license COPYING
%{python3_sitelib}/j1m/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}-nspkg.pth
%endif

%changelog
* Wed Sep 12 2018 Jerry James <loganjerry@gmail.com> - 0.1.0-3
- Do not use python sitelib globs
- Do not build python 2 and 3 in separate directories

* Fri Aug  3 2018 Jerry James <loganjerry@gmail.com> - 0.1.0-2
- Add license file

* Sat Mar 25 2017 Jerry James <loganjerry@gmail.com> - 0.1.0-1
- Initial RPM
